# ApiKeysList

> List the workspace's API keys: name, prefix, last four, access level, creator, expiry and last use.… Admin access, workspace toolset, MCP tool list_api_keys.

List the workspace's API keys: name, prefix, last four, access level, creator, expiry and last use. Never the secret.

**Access:** [Admin](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `first` | `Int!` | yes | 32-bit integer. MCP tools send `50` when it is left out |  |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"ApiKeysList","variables":{"first":50},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"73a4044309a6581ac950739de095c3d08995e60cfc8ccbae554de42903551b52"}}}'
```

## Document

```graphql
query ApiKeysList($first: Int!) { __typename allApiKeys(first: $first, orderBy: [CREATED_AT_DESC]) { __typename nodes { __typename access allowedOrigins connectionId createdAt createdByAuth0Id effectiveAccess expiresAt id kind lastFour lastUsedAt name prefix rateLimitRpm revokedAt rowId } totalCount } }
```

Source: https://developer.missin.co.uk/reference/workspace/api-keys-list
